package imt.concours;

import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;
import java.util.Queue;
import java.util.stream.Stream;

import imt.personnes.Chef;

public class FileConcours {
	private final Queue<Concours> concours;
	private final List<Concours> concoursTermines;

	public FileConcours(Concours... concours) {
		this.concours = new LinkedList<Concours>(Stream.of(concours).toList());
		this.concoursTermines = new ArrayList<>();
	}

	public List<Concours> concoursAuquelParticipe(Chef chef) {
		return concours.stream()
				.filter(concoursLoop -> concoursLoop.getPropositions().stream().map(prop -> prop.getChef()).toList()
						.contains(chef))
				.toList();
	}

	public Concours concoursActuel() {
		return concours.peek();
	}

	// true is ca a marché, false si le concours actuel est pas bien fini
	public boolean passerAuConcoursSuivant() {
		if (concoursActuel().estTermine()) {
			concoursTermines.add(concours.poll());
			return true;
		} else {
			return false;
		}
	}

	public List<Concours> concoursTermines() {
		return concoursTermines;
	}

	public List<Concours> concoursAuquelAParticipe(Chef chef) {
		return concoursTermines().stream()
				.filter(concoursLoop -> concoursLoop.getPropositions().stream().map(prop -> prop.getChef()).toList()
						.contains(chef))
				.toList();
	}
}
