package imt.ingredients;

import java.util.stream.Stream;

import lombok.EqualsAndHashCode;

@EqualsAndHashCode
public class Plat {
	private int idPlat;
	private String nomPlat;
	private Ingredient ingredients[];

	public Plat(int idPlat, String nomPlat, Ingredient[] ingredients) {
		this.idPlat = idPlat;
		this.nomPlat = nomPlat;
		this.ingredients = ingredients;
	}

	public int getIdPlat() {
		return idPlat;
	}

	public void setIdPlat(int idPlat) {
		this.idPlat = idPlat;
	}

	public String getNomPlat() {
		return nomPlat;
	}

	public void setNomPlat(String nomPlat) {
		this.nomPlat = nomPlat;
	}

	public Ingredient[] getIngredients() {
		return ingredients;
	}

	public void setIngredients(Ingredient[] ingredients) {
		this.ingredients = ingredients;
	}

	@Override
	public String toString() {
		StringBuilder ingredientStr = new StringBuilder();
		for (Ingredient ingredient : ingredients) {
			ingredientStr.append(ingredient.toString());
		}
		return "Plat [idPlat=" + idPlat + ", nomPlat=" + nomPlat + ", ingredients=" + ingredientStr.toString() + "]";
	}

	public boolean isBio() {
		return Stream.of(ingredients)
			.allMatch(ingredient -> ingredient.isBio());
	}

	public int getCalories() {
		return Stream.of(ingredients)
			.mapToInt(ingredient -> ingredient.getCalories())
			.sum();
	}

}
