package imt.ingredients;

import static imt.ingredients.IngredientTest.AUTRE;
import static imt.ingredients.IngredientTest.OIGNON;
import static imt.ingredients.IngredientTest.STEAK;
import static org.assertj.core.api.Assertions.assertThat;

import org.junit.jupiter.api.Test;

public class PlatTest {
	@Test
	void plat_entierement_bio() {
		Plat platBio = new Plat(1, "plat1", new Ingredient[] {
			STEAK, OIGNON
		});

		assertThat(platBio.isBio()).isTrue();
		
		Plat platNonBio = new Plat(2, "plat2", new Ingredient[] {
			STEAK, OIGNON, AUTRE
		});

		assertThat(platNonBio.isBio()).isFalse();
	}

	@Test
	void calories_d_un_plat() {
		Plat platBio = new Plat(1, "plat1", new Ingredient[] {
			STEAK, OIGNON
		});

		assertThat(platBio.getCalories()).isEqualTo(STEAK.getCalories() + OIGNON.getCalories());
	}
}
