package imt.personnes;

import static imt.ingredients.IngredientTest.AUTRE;
import static imt.ingredients.IngredientTest.OIGNON;
import static imt.ingredients.IngredientTest.STEAK;
import static org.assertj.core.api.Assertions.assertThat;

import java.util.List;
import java.util.Set;

import org.junit.jupiter.api.Test;

import imt.ingredients.Ingredient;
import imt.ingredients.Plat;

public class ChefTest {
	@Test
	void plat_connus_d_un_chef_par_calories() {
		Plat plat1 = new Plat(1, "plat1", new Ingredient[] {
			OIGNON, STEAK
		});
		Plat plat2 = new Plat(2, "plat2", new Ingredient[] {
			OIGNON, AUTRE
		});
		Plat plat3 = new Plat(3, "plat3", new Ingredient[] {
			STEAK, AUTRE
		});

		Chef chef = new Chef(1, "mister", "toto", "06 .", Genre.HOMME, 2, Specialite.CUISINIER, Set.of(plat1, plat2, plat3));

		assertThat(chef.getPlatsParCalories()).isEqualTo(List.of(
			plat1,
			plat3,
			plat2
		));
	}
}
